package com.lanren.huhu.partner.model;

import lombok.Data;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.DecimalMin;
import java.io.Serializable;

/**
 * @author houseme
 * @date 2019-06-26 11:47
 * @Project partner
 * @Package com.lanren.huhu.partner.model
 * @File: Partner
 */
@Data
public class Partner implements Serializable {

    private static final long serialVersionUID = 1L;
    @DecimalMin(value = "1", message = "{partner.level.min}")
    @DecimalMax(value = "5", message = "{partner.level.max}")
    private Integer level;
    @DecimalMin(value = "1", message = "{partner.user.id}")
    private Integer userId;
}
